By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
435,241 Members | 733 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 435,241 IT Pros & Developers. It's quick & easy.

let my IIS run ASP .NET 1.1?

P: n/a
Dear all,

I have installed .NET 2003 on my Windows XP. I need to use it to develop Web
services.Yesterday, it works fine. But I got an XML file access error. So I
tried to do some configurations in several ways because I was not sure how
to solve the problem.

I even uninstalled IIS and installed it again. The version of my IIS is 5.1
To my surprise, after the IIS 5.1 was installed again, I can't open my
developed Web services. The error message said the specified Web server was
not running ASP .NET 1.1. So I guess that there must be some files damaged
when installing IIS? Therefore, I uninstalled .NET 2003 and installed it
again. But the error is still there!

I think ASP .NET 1.1 is contained in .NET 2003, right? Why do I always get
such errors? How let my IIS run ASP .NET 1.1?

I can't do anything with the error now. Anyone can help me? I appreciate for
your answers!

greatfree
Nov 15 '05 #1
Share this Question
Share on Google+
2 Replies


P: n/a
"Greatfree" <gr*******@asu.edu> wrote in message
news:bh**********@news.asu.edu...
Dear all,

I have installed .NET 2003 on my Windows XP. I need to use it to develop Web services.Yesterday, it works fine. But I got an XML file access error. So I tried to do some configurations in several ways because I was not sure how to solve the problem.

I even uninstalled IIS and installed it again. The version of my IIS is 5.1 To my surprise, after the IIS 5.1 was installed again, I can't open my
developed Web services. The error message said the specified Web server was not running ASP .NET 1.1. So I guess that there must be some files damaged when installing IIS? Therefore, I uninstalled .NET 2003 and installed it again. But the error is still there!

I think ASP .NET 1.1 is contained in .NET 2003, right? Why do I always get such errors? How let my IIS run ASP .NET 1.1?

I can't do anything with the error now. Anyone can help me? I appreciate for your answers!


You need to be more specific about your error messages, but you might
check
out the aspnet_regiis.exe tool in
C:\windows\Microsoft.NET\Framework\v1.1.4322

This will fix up your IIS problem.

If you install IIS after installing .NET or VS.NET, IIS will not know
about .NET and there will be no ISAPI mappings to the ASP.NET ISAPI
DLL. You must run aspnet_regiis to fix the problem.

-c
Nov 15 '05 #2

P: n/a
Can you please specify the error you are getting?

One thing I am not sure if you tried to do after reinstalling IIS is
registering ASPNET. If you haven't done that, then do it by
1. Go to the framework directory
(%Windir%\Microsoft.NET\Framework\v1.1.4322)
2. run: aspnet_regiis.exe -i (This is assuming that you want to upgrade all
the script maps to use 1.1.4322 version rather than previous versions).

If the above doesn't help, then please provide detailed error message so
that we understand the issue.

thanks
Subash

Nov 15 '05 #3

This discussion thread is closed

Replies have been disabled for this discussion.